MODULE compute_diagnostics_mod
  IMPLICIT NONE
  SAVE

  INTERFACE

    SUBROUTINE comp_rhodz(flag,ps,rhodz)
      USE prec, ONLY : rstd
      LOGICAL, INTENT(IN) :: flag
      REAL(rstd),INTENT(IN)  :: ps(1)
      REAL(rstd),INTENT(OUT) :: rhodz(1,1)
    END SUBROUTINE comp_rhodz

    SUBROUTINE comp_pression(ps, p, offset)
      USE prec, ONLY : rstd
      INTEGER, INTENT(IN) :: offset
      REAL(rstd), INTENT(IN) :: ps(1)
      REAL(rstd), INTENT(OUT) :: p(1,1)
    END SUBROUTINE comp_pression
  END INTERFACE

  PROCEDURE(comp_rhodz), POINTER :: compute_rhodz
  PROCEDURE(comp_pression), POINTER :: compute_pression, compute_pression_mid

END MODULE compute_diagnostics_mod
